    PROGRAM nag_ell_intg_ex02

      ! Example Program Text for nag_ell_intg
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_ell_intg, ONLY : nag_ell_rf
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: ix
      REAL (wp) :: rf, x, y, z
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) 'Example Program Results for nag_ell_intg_ex02'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '     x      y      z         rf'

      DO ix = 1, 3
        x = ix*0.5_wp
        y = x + 0.5_wp
        z = y + 0.5_wp

        rf = nag_ell_rf(x,y,z)

        WRITE (nag_std_out,fmt='(1X,3F7.2,F12.4)') x, y, z, rf
      END DO

    END PROGRAM nag_ell_intg_ex02
